# MS-Connector v1.5.0 Release vom 14.03.2024

Der MS-Connector implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um ausländischen Benutzern eine Anmeldung am österreichischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - Umstellung auf eIDAS Node 2.7.x der Referenzimplementierung
  - Timestamp Format des JSON basierten Statistik Logging angepasst
  - Logging optimiert
  - Aktualisierung von Drittherstellerbibliotheken
    - Spring-Framework 5.3.32
    - joda-time 1.12.7
    - jackson 2.16.2
    - jose4j 0.9.6


### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-specific eIDAS Connectors auf die aktuelle Version 1.5.0. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.4.1 

1. Stoppen Sie die *MS-Connector* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an
2. Entpacken Sie das Releasepacket *ms_specific_connector-1.5.0-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsConnectorPackage__ bezeichnet wird.
3. Kopieren sie die Applikation __MsConnectorPackage__/ms_connector.war nach in das Applikationsverzeichnis ihres Applikationsservers
4. Geänderte Java Startparameter
   Es werden nur mehr die folgenden beiden SystemD Parameter zur MS-Connector Konfiguration benötigt
   - ```-Deidas.ms.configuration=/path/to/configuration/default_config.properties```
   - ```-DSPECIFIC_CONNECTOR_CONFIG_REPOSITORY=/path/to/configuration/eIDAS/```
   - ``` -Dlogging.config=file:/path/to/configuration/logback_config.xml```
5. Neue optionale Konfigurationsparameter
   Defaultwerte sind an die beigelegte eIDAS-Node v2.7.x Konfiguration abgestimmt
   - ```eidas.ms.auth.eIDAS.node_v2.lightToken.connector.*```

